
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：应急处置措施
    /// </summary>
    [Description("应急处置措施")]
    public class T_HM_EVALUATE_HAZARD_EMERGENCY_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 职业危害库ID
        /// </summary>
        [Description("职业危害库ID")]
        [DataFieldForeignKey("Nav_EvaluateHazard","Nav_EvaluateHazardEmergencyMeasures")]
        public Guid EVALUATE_HAZARD_ID { get; set; }

        /// <summary>
        /// 应急处置措施ID
        /// </summary>
        [Description("应急处置措施")]
        [DataFieldForeignKey("Nav_EmergencyMeasures")]
        [FormFieldEdit]
        public Guid EMERGENCY_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：职业危害库
        /// </summary>
        [Description("导航属性：职业危害库")]
        public T_HM_EVALUATE_HAZARD Nav_EvaluateHazard { get; set; }

        /// <summary>
        /// 导航属性：应急处置措施
        /// </summary>
        [Description("导航属性：应急处置措施")]
        public T_HM_EMERGENCY_MEASURES Nav_EmergencyMeasures { get; set; }
    }
}
